<?php
// echo "<pre>";
// print_r($_POST);
// echo "</pre>"; die();

///////////////////////////////////////////////////////////////////////////////////////////////
// VALOR CONVERTIDO //
///////////////////////////////////////////////////////////////////////////////////////////////

function geraTimestamp($data) {
$partes = explode('-', $data);
$tratada = $partes[2].'-'.$partes[1].'-'.$partes[0];
return $tratada;
}

function valor_parcela($idparcela){
    include "conexao.php";

    $query = "SELECT valor_parcelas FROM parcelas where idparcelas = '$idparcela'";

    $executa_query = mysqli_query($db,$query) or die("erro pegar valor das parcelas");
    $buscar_amigo = mysqli_fetch_assoc($executa_query);

    $dados = $buscar_amigo['valor_parcelas'];

    return $dados;

}




function valor_taxa($idvenda, $tipo_venda){
	  include "conexao.php";
    $query_amigo = "SELECT taxa_financiamento FROM venda where idvenda = $idvenda";
    $executa_query = mysqli_query ($db,$query_amigo);

   	while ($buscar_amigo = mysqli_fetch_assoc($executa_query))
   	{
      $taxa_financiamento           = $buscar_amigo["taxa_financiamento"];
    }
    return $taxa_financiamento;
}

function busca_primeira($idvenda){
	include "conexao.php";
	$query = "SELECT data_vencimento_parcela FROM parcelas where venda_idvenda = $idvenda AND tipo_venda = 2 AND descricao = 'Parcela Financiamento' order by idparcelas ASC limit 1";
	$executa_query = mysqli_query($db, $query);
	while ($buscar_amigo = mysqli_fetch_assoc($executa_query)){
		$data_vencimento_parcela = $buscar_amigo["data_vencimento_parcela"];
	}
	return $data_vencimento_parcela;
}


function pega_tipo_e_venda($idparcela){
	include "conexao.php";

	$query =  "SELECT venda_idvenda, tipo_venda FROM parcelas WHERE idparcelas = '$idparcela'";

    $executa_query = mysqli_query($db, $query) or die ("erro ao buscar tipo de venda");
    
    $buscar_amigo = mysqli_fetch_assoc($executa_query);

      $dados['tipo_venda'] = $buscar_amigo['tipo_venda'];
      $dados['venda_idvenda'] = $buscar_amigo['venda_idvenda'];


     return $dados;
 
}




function valor_convertido($id, $idvenda, $tipo){




   // echo 'IMPRIMA ID .: ' . $id . "<br>";
   // echo 'IMPRIMA VENDA .: ' . $idvenda . "<br>";
   // echo 'IMPRIMA TIPO .: ' . $tipo . "<br>";




  date_default_timezone_set('America/Sao_Paulo');

	  include "conexao.php";
	$hoje = date('Y-m-d');
    $query_amigo = "SELECT venda_idvenda,descricao, data_vencimento_parcela, valor_parcelas FROM parcelas where idparcelas = $id";
    $executa_query = mysqli_query ($db,$query_amigo);

   	while ($buscar_amigo = mysqli_fetch_assoc($executa_query))
   	{
      $data_vencimento_parcela  = $buscar_amigo["data_vencimento_parcela"];
      $valor_parcelas           = $buscar_amigo["valor_parcelas"];
      $descricao                = $buscar_amigo["descricao"];
      $venda_idvenda            = $buscar_amigo["venda_idvenda"];

 	}

$busca_primeira = busca_primeira($venda_idvenda);
$busca_primeira = geraTimestamp($busca_primeira);

$carencia = strtotime($busca_primeira) - strtotime($hoje);

if($carencia > 0){
  $time_inicial = $busca_primeira;
}else{
  $time_inicial = $hoje;
}

$time_final_tratar = geraTimestamp($data_vencimento_parcela);
$time_final = $time_final_tratar;

$diferenca = strtotime($time_final) - strtotime($time_inicial); 


if($diferenca >= 0){

if($descricao == 'Parcela Financiamento'){


$divt = ($diferenca / (60 * 60 * 24 * 30)); // 225 dias
$juros = (double) valor_taxa($idvenda, $tipo) /100 +1;

$potencia = pow($juros,$divt);

$valor_convertido = $valor_parcelas / $potencia;

}else{
  $valor_convertido = $valor_parcelas;
}

if($diferenca == 0){
   $valor_convertido = $valor_parcelas;
}



}else{

   $diferenca2 = strtotime($hoje) - strtotime($time_final); 

    $dias2 = ( $diferenca2 / (60 * 60 * 24)); // 225 dias

    $multa2 = ($valor_parcelas * (2/100));
    $juros2 = ($valor_parcelas * (0.033/100) * $dias2);

    $valor_convertido = $valor_parcelas + $multa2 + $juros2;


}

   if($descricao != 'Parcela Financiamento'){
    $valor_convertido = $valor_parcelas;
   }
return $valor_convertido;
}

///////////////////////////////////////////////////////////////////////////////////////////////////

///////////////////////////////////////////////////////////////////////////////////////////////
// NUMERO SEQUENCIA //
///////////////////////////////////////////////////////////////////////////////////////////////




function pega_num_seqencia($idparcela){

      include "conexao.php";

      $query = "SELECT numero_sequencia FROM `parcelas` WHERE idparcelas = '$idparcela'";
      $executa_query = mysqli_query($db, $query);
      while($buscar_amigo = mysqli_fetch_assoc($executa_query)){
          $numero_sequencia = $buscar_amigo["numero_sequencia"];

      }

    $teste = explode("-", $numero_sequencia);

      if(count($teste) > 1){
            //echo "tem o hifem " . $teste[1]; die();
            return $teste[1];

      }else{
      	    //echo "nao tem o hifem" . $teste[0]; die();

      	    return $teste[0];
      }


}

///////////////////////////////////////////////////////////////////////////////////////////////////



$antecipar = explode(",", $_POST['qtd_parcelas']);

$parce = $_POST['qtd_parcelas'];

//$venda_idvenda = $_POST["idvenda"];
//$tipo_venda    = $_POST["tipo"];


    


	include "conexao.php";
        $cod_baixa = date('Y-m-d H:i:s');

        $cod_baixa = str_replace("-","", $cod_baixa);
        $cod_baixa = str_replace(":","", $cod_baixa);
        $cod_baixa = str_replace(" ","", $cod_baixa);

	foreach($antecipar as $id){





   // $query = "UPDATE parcelas SET vinculo = '$cod_baixa' WHERE idparcelas = '$id'";

$vincula = mysqli_query($db, "UPDATE parcelas SET vinculo = '$cod_baixa' WHERE idparcelas = '$id'");

   // echo $query . "<br>";
      

  }

    $desc = array();

    $dati = $_POST['data_atualizada'];
    $dat = explode("-", $_POST['data_atualizada']);
    $data_atu = $dat[2]."-".$dat[1]."-".$dat[0];

	foreach($antecipar as $id){

         $n_sequencia = pega_num_seqencia($id);

		 $nom = 'ANT';
		 $n_sequencia = $nom."-".$n_sequencia;

          $dadosvenda = pega_tipo_e_venda($id);

          $idvenda = $dadosvenda["venda_idvenda"];
          $tipo    = $dadosvenda["tipo_venda"];
		
		 $valor_convertido = valor_convertido($id, $idvenda, $tipo);
		 $valor_parcela = valor_parcela($id);

		 $desconto = $valor_parcela - $valor_convertido;

		 array_push($desc, $valor_convertido);

       //  $query = "UPDATE parcelas set desc_parcela ='$desconto', numero_sequencia = '$n_sequencia'  WHERE idparcelas = '$id'";

		$inserir = mysqli_query($db, "UPDATE parcelas set desc_parcela ='$desconto', numero_sequencia = '$n_sequencia', data_boleto = '$data_atu'  WHERE idparcelas = '$id'");
       // echo $query . "<br>";
             
	}

    $val_convertido = implode(",", $desc);

 //   header('Location: remessa/remessa2.php?idvenda=' .$idvenda .' &tipo='.$tipo.'&antecipar_p='.$parce.'&valor_convertido='.$val_convertido);

?>
 <script type="text/javascript">
 	window.location="prepara_boleto.php?idvenda=<?php echo $idvenda ?>&tipo=<?php echo $tipo ?>&antecipar_p=<?php echo $parce?>&valor_converdido=<?php echo $val_convertido?>&envio=1&origem=1&ori=2"
 </script>

<!--  <script type="text/javascript">window.location="parcelas.php?idvenda=<?php //echo $venda_id ?>&tipo=<?php// echo $tipo_venda ?>";</script>
 --> 